Bug 66690 - line spacing problem with "Helvetica" font caused by freetype
Summary: line spacing problem with "Helvetica" font caused by freetype
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta1
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2013-07-08 11:01 UTC by Michael Stahl (CIB)
Modified: 2015-12-15 11:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2013-07-08 11:01:02 UTC
bugdoc here:

https://www.gov.uk/government/uploads/system/uploads/attachment_data/file/85973/govt-ict-sip.odt

these 2 commits change the line spacing on page 3 of the document:

commit f9560c8f9982eaef09b74baa479c187f049c4f9e
Author:     Khaled Hosny <khaledhosny@eglug.org>
AuthorDate: Sat May 11 07:07:29 2013 +0200

    Cleanup FreeType ascender/descender handling a bit

commit 5e77c9e17ba7dd9d296c9b755093f01e7eb4f514
Author:     Khaled Hosny <khaledhosny@eglug.org>
AuthorDate: Sat May 11 00:50:59 2013 +0200

    Revert 052f181dad89ad34d90513bc9dcd3e3239727933

on Fedora 18 with freetype-2.4.10-4.fc18.x86_64 on LO 4.0
the page 4 consists of a full paragraph, the "Revert" commit
changes that to 2 lines + full paragraph, and the "Cleanup"
commit changes it again to just 2 lines, the text looks
obviously very cramped, not at all like "single" spacing.

what is a mystery is that in the current "bibisect" repo
that was built on Ubuntu it looks just like in LO 4.0,
no change in line spacing.

presumably it was built against a different freetype version?
Comment 1 Michael Stahl (CIB) 2013-07-08 11:04:06 UTC
another thing, "Helvetica" is displayed in italics by the font selector,
i assume this means it's been substituted by something.
Comment 2 Adolfo Jayme 2013-07-10 04:02:27 UTC
If you don't have Helvetica installed in your machine, perhaps you're seeing Nimbus Sans/FreeSans?
Comment 3 Matthew Francis 2015-01-12 15:24:12 UTC
The original link in comment 0 has rotted, but I assume that this is the same file:

https://www.gov.uk/government/uploads/system/uploads/attachment_data/file/266180/govt-ict-sip.odt


I don't see any issue with the file in the bibisect 43all repository around the time of the commit (I note that the original report also states this), but also not in current 4.5 master.
As also mentioned in bug 83818, the commit mentioned can cause problems with broken fonts. Perhaps whichever font was substituted with in Fedora 18 had issues at that time?


Setting to NEEDINFO. Could you confirm whether or not you still see an issue with a more recent distribution and current master? If not, this can be closed with some suitable resolution (WORKSFORME, or NOTOURBUG)
Comment 4 QA Administrators 2015-07-18 17:36:37 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 5 QA Administrators 2015-09-04 03:01:51 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03
Comment 6 Robinson Tryon (qubit) 2015-12-15 11:03:39 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]